# Uses of Class
org.eclipse.team.ui.mapping.SaveableComparison

Packages that use SaveableComparison
Package
Description
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of SaveableComparison in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that return SaveableComparison
Modifier and Type
Method
Description
`SaveableComparison`
ISynchronizationCompareInput.`getSaveable()`
Return the saveable for this compare input or `null` if the input is saved directly to disk when the compare editor input is changed or the compare editor is closed.
`SaveableComparison`
MergeActionHandler.`getSaveable()`
Return the saveable that is the target of this handler.
`SaveableComparison`
SynchronizationOperation.`getSaveable()`
Return the saveable that this operation will write its results to or `null` if the operation does not buffer its results.

## Uses of SaveableComparison in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return SaveableComparison
Modifier and Type
Method
Description
`protected SaveableComparison`
ModelParticipantAction.`getActiveSaveable()`
Return the currently active saveable.
`SaveableComparison`
ModelSynchronizeParticipant.`getActiveSaveable()`
Return the active saveable for this participant.
`protected SaveableComparison`
ModelParticipantAction.`getTargetSaveable()`
Return the saveable that is the target of this operation.
Methods in org.eclipse.team.ui.synchronize with parameters of type SaveableComparison
Modifier and Type
Method
Description
`static void`
ModelParticipantAction.`handleTargetSaveableChange(Shell shell, SaveableComparison targetSaveable, SaveableComparison activeSaveable, boolean allowCancel, IProgressMonitor monitor)`
Convenience method that prompts if the currently active saveable is dirty and either saves or reverts the saveable depending on the users input.
`static boolean`
ModelParticipantAction.`promptToSaveChanges(Shell shell, SaveableComparison saveable, boolean allowCancel)`
Convenience method that prompts to save changes in the given dirty model.
`protected void`
ModelParticipantAction.`setActiveSaveable(SaveableComparison saveable)`
Set the active saveable.
`void`
ModelSynchronizeParticipant.`setActiveSaveable(SaveableComparison activeSaveable)`
Set the active saveable of this participant.